--[[
Copyright (C) 2016  Neemys, ShadowTheAge

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

See <LICENSE.txt> for a copy of this license, or see <http://www.gnu.org/licenses/>
]]

require("config")
require("misc")


--Custom key sequence to check if recipe should be unlocked (in case recipe are activated midgame or a bug happen and recipe haven't been unlocked. Achievement friendly.
data:extend({
  {
    type = "custom-input",
    name = "bptweaks-reload-recipe",
    key_sequence = "CONTROL + ALT + L",
    consuming = "all" --set to all to avoid setting another key sequence to it, player will see their other key sequence not working if set to it. As the event in ressources heavy we must avoid anyone calling it multiple time without being aware.
  }
})