--[[
Copyright (C) 2016  Neemys

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

See <LICENSE.txt> for a copy of this license, or see <http://www.gnu.org/licenses/>
]]



for index, force in pairs(game.forces) do
	if(force.recipes["bp-oil-barreling-machine"]) then 
		if(force.recipes["fill-crude-oil-barrel"]) then
			force.recipes["fill-crude-oil-barrel"].reload()
		end
		if(force.recipes["empty-crude-oil-barrel"]) then
			force.recipes["empty-crude-oil-barrel"].reload()
		end
		if (force.technologies['automation-2']) then 
			force.technologies['automation-2'].reload()
			if(force.technologies['automation-2'].researched) then 
				force.recipes["bp-oil-barreling-machine"].enabled = true 
			end
		end--in case the techno does not exist, the recipe is enabled by default
		
	end
	
	if(force.recipes["bp-empty-water-barrel"]) then 
		if (force.technologies['fluid-handling']) then 
			force.technologies['fluid-handling'].reload()
			if(force.technologies['fluid-handling'].researched) then 
				force.recipes["bp-empty-water-barrel"].enabled = true 
				force.recipes["bp-fill-water-barrel"].enabled = true 
				force.recipes["bp-empty-lubricant-barrel"].enabled = true 
				force.recipes["bp-fill-lubricant-barrel"].enabled = true 
			end
		end--in case the techno does not exist, the recipe is enabled by default
	end
end